> ## Documentation Index
> Fetch the complete documentation index at: https://www.latitude.sh/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List plans

> Lists all plans. Availability by region is included in `attributes.regions.locations.available[*]` node for a given plan.




## OpenAPI

````yaml https://spec.speakeasy.com/latitude/latitude/latitude-sh-api-with-code-samples get /plans
openapi: 3.0.1
info:
  title: Latitude.sh API
  version: '2023-06-01'
  description: >-
    The Latitude.sh API is a RESTful API to manage your Latitude.sh account. It
    allows you to perform the same actions as the Latitude.sh dashboard.
servers:
  - url: https://api.latitude.sh
    variables:
      latitude_api_key:
        default: <insert your api key here>
  - url: http://api.latitude.sh
    variables:
      latitude_api_key:
        default: <insert your api key here>
security: []
tags:
  - name: API keys
  - name: Billing
  - name: Elastic Ips
  - name: Events
  - name: Firewalls
  - name: IP Addresses
  - name: Kubernetes Clusters
  - name: Operating Systems
  - name: Plans
  - name: Private Networks
  - name: Projects
  - name: Regions
  - name: Roles
  - name: SSH Keys
  - name: Servers
  - name: Storage
  - name: Tags
  - name: Teams
  - name: Team members
  - name: Traffic
  - name: User data
  - name: User profile
  - name: VPN Sessions
  - name: Virtual machines
paths:
  /plans:
    get:
      tags:
        - Plans
      summary: List plans
      description: >
        Lists all plans. Availability by region is included in
        `attributes.regions.locations.available[*]` node for a given plan.
      operationId: get-plans
      parameters:
        - name: filter[name]
          in: query
          required: false
          description: The plan name to filter by
          schema:
            type: string
        - name: filter[slug]
          in: query
          required: false
          description: The plan slug to filter by
          schema:
            type: string
        - name: filter[location]
          in: query
          required: false
          description: The location of the site to filter by
          schema:
            type: string
        - name: filter[stock_level]
          in: query
          schema:
            type: string
            enum:
              - unavailable
              - low
              - medium
              - high
              - unique
          required: false
          description: The stock level at the site to filter by
        - name: filter[in_stock]
          in: query
          required: false
          description: The stock available at the site to filter by
          schema:
            type: boolean
        - name: filter[gpu]
          in: query
          required: false
          description: Filter by the existence of an associated GPU
          schema:
            type: boolean
        - name: filter[ram]
          in: query
          required: false
          description: >-
            The ram size in Gigabytes to filter by, should be used with the
            following options:
                                          [eql] to filter for values equal to the provided value.
                                          [gte] to filter for values greater or equal to the provided value.
                                          [lte] to filter by values lower or equal to the provided value.
          schema:
            type: integer
        - name: filter[disk]
          in: query
          required: false
          description: >-
            The disk size in Gigabytes to filter by, should be used with the
            following options:
                                          [eql] to filter for values equal to the provided value.
                                          [gte] to filter for values greater or equal to the provided value.
                                          [lte] to filter by values lower or equal to the provided value.
          schema:
            type: integer
      responses:
        '200':
          description: Success
          content:
            application/vnd.api+json:
              examples:
                Success:
                  value:
                    data:
                      - id: plan_g1mbDw8BOLv5B
                        type: plans
                        attributes:
                          slug: m4-metal-small-42
                          name: m4.metal.small-42
                          features: []
                          specs:
                            cpu:
                              type: E-2276G
                              clock: 3.8
                              cores: 6
                              count: 1
                            memory:
                              total: 32
                            drives:
                              - count: 1
                                size: 3.8TB
                                type: SSD
                            nics:
                              - count: 1
                                type: 10 Gbps
                            gpu:
                              count: 4
                              type: NVIDIA H100
                              vram_per_gpu: null
                              interconnect: null
                          regions:
                            - name: Brazil
                              deploys_instantly: []
                              locations:
                                available:
                                  - SAO
                                in_stock:
                                  - SAO
                              stock_level: medium
                              pricing:
                                USD:
                                  hour: 10
                                  month: 50
                                  year: 100
                                BRL:
                                  hour: 53
                                  month: 108.5
                                  year: 205
                    meta: {}
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/plan_data'
      security:
        - Bearer: []
      x-codeSamples:
        - lang: python
          label: Python (SDK)
          source: |-
            from latitudesh_python_sdk import Latitudesh
            import os


            with Latitudesh(
                bearer=os.getenv("LATITUDESH_BEARER", ""),
            ) as latitudesh:

                res = latitudesh.plans.list()

                # Handle response
                print(res)
        - lang: go
          label: Go (SDK)
          source: "package main\n\nimport(\n\t\"context\"\n\t\"os\"\n\tlatitudeshgosdk \"github.com/latitudesh/latitudesh-go-sdk\"\n\t\"github.com/latitudesh/latitudesh-go-sdk/models/operations\"\n\t\"log\"\n)\n\nfunc main() {\n    ctx := context.Background()\n\n    s := latitudeshgosdk.New(\n        latitudeshgosdk.WithSecurity(os.Getenv(\"LATITUDESH_BEARER\")),\n    )\n\n    res, err := s.Plans.List(ctx, operations.GetPlansRequest{})\n    if err != nil {\n        log.Fatal(err)\n    }\n    if res.Object != nil {\n        // handle response\n    }\n}"
        - lang: typescript
          label: Typescript (SDK)
          source: |-
            import { Latitudesh } from "latitudesh-typescript-sdk";

            const latitudesh = new Latitudesh({
              bearer: process.env["LATITUDESH_BEARER"] ?? "",
            });

            async function run() {
              const result = await latitudesh.plans.list();

              console.log(result);
            }

            run();
components:
  schemas:
    plan_data:
      type: object
      properties:
        id:
          type: string
        type:
          type: string
          enum:
            - plans
        attributes:
          type: object
          properties:
            slug:
              type: string
            name:
              type: string
            features:
              type: array
              items:
                type: string
                enum:
                  - ssh
                  - raid
                  - user_data
                  - sev
              description: List of available features for the plan
            specs:
              type: object
              properties:
                cpu:
                  type: object
                  properties:
                    type:
                      type: string
                    clock:
                      type: number
                    cores:
                      type: number
                    count:
                      type: number
                memory:
                  type: object
                  properties:
                    total:
                      type: number
                drives:
                  type: array
                  items:
                    type: object
                    properties:
                      count:
                        type: number
                      size:
                        type: string
                      type:
                        type: string
                        enum:
                          - SSD
                          - HDD
                          - NVME
                nics:
                  type: array
                  items:
                    type: object
                    properties:
                      count:
                        type: number
                      type:
                        type: string
                gpu:
                  type: object
                  properties:
                    count:
                      type: number
                    type:
                      type: string
                    vram_per_gpu:
                      type: number
                      nullable: true
                      description: VRAM per GPU in GB
                    interconnect:
                      type: string
                      nullable: true
                      description: GPU interconnection type (e.g., NVLink, PCIe)
            regions:
              type: array
              items:
                type: object
                properties:
                  name:
                    type: string
                  deploys_instantly:
                    type: array
                    items:
                      type: string
                  locations:
                    type: object
                    properties:
                      available:
                        type: array
                        items:
                          type: string
                      in_stock:
                        type: array
                        items:
                          type: string
                  stock_level:
                    type: string
                    enum:
                      - unavailable
                      - low
                      - medium
                      - high
                  pricing:
                    type: object
                    properties:
                      USD:
                        type: object
                        properties:
                          hour:
                            type: number
                            nullable: true
                          month:
                            type: number
                            nullable: true
                          year:
                            type: number
                            nullable: true
                      BRL:
                        type: object
                        properties:
                          hour:
                            type: number
                            nullable: true
                          month:
                            type: number
                            nullable: true
                          year:
                            type: number
                            nullable: true
  securitySchemes:
    Bearer:
      type: apiKey
      name: Authorization
      in: header

````